Index: trunk/src/ProcessManagement/ProcessManagement/Forms/Master/PersonInCharge/FrmPersonInCharge.designer.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/Master/PersonInCharge/FrmPersonInCharge.designer.cs	(revision 53)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/Master/PersonInCharge/FrmPersonInCharge.designer.cs	(revision 54)
@@ -60,14 +60,9 @@
             this.label8 = new System.Windows.Forms.Label();
             this.txtInput2 = new System.Windows.Forms.TextBox();
             this.label9 = new System.Windows.Forms.Label();
-            this.txtInput3 = new ProcessManagement.Forms.CustomControls.TextBoxEX();
             this.txtInput4 = new System.Windows.Forms.TextBox();
             this.label15 = new System.Windows.Forms.Label();
             this.label2 = new System.Windows.Forms.Label();
-            this.dgvSalary = new ProcessManagement.Forms.CustomControls.DataGridViewEX();
-            this.SalaryColumn1 = new System.Windows.Forms.DataGridViewTextBoxColumn();
-            this.SalaryColumn2 = new System.Windows.Forms.DataGridViewTextBoxColumn();
-            this.SalaryColumn3 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.label7 = new System.Windows.Forms.Label();
             this.txtInput6 = new System.Windows.Forms.TextBox();
             this.label10 = new System.Windows.Forms.Label();
@@ -83,22 +78,28 @@
             this.label13 = new System.Windows.Forms.Label();
             this.label14 = new System.Windows.Forms.Label();
             this.label16 = new System.Windows.Forms.Label();
-            this.cmbDepartment = new ProcessManagement.Forms.CustomControls.ComboBoxEX();
             this.txtInput5 = new System.Windows.Forms.TextBox();
             this.txtInput8 = new System.Windows.Forms.TextBox();
             this.txtInput9 = new System.Windows.Forms.TextBox();
-            this.cmbLedgerFlg = new ProcessManagement.Forms.CustomControls.ComboBoxEX();
             this.label17 = new System.Windows.Forms.Label();
-            this.cmbSecManage = new ProcessManagement.Forms.CustomControls.ComboBoxEX();
             this.label18 = new System.Windows.Forms.Label();
             this.lblSecRank = new System.Windows.Forms.Label();
             this.lblSecRange = new System.Windows.Forms.Label();
+            this.btnRefDepAdd = new System.Windows.Forms.Button();
+            this.btnRefDepDel = new System.Windows.Forms.Button();
+            this.lblSecurtyManegement = new System.Windows.Forms.Label();
+            this.txtInput3 = new ProcessManagement.Forms.CustomControls.TextBoxEX();
+            this.dgvSalary = new ProcessManagement.Forms.CustomControls.DataGridViewEX();
+            this.SalaryColumn1 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.SalaryColumn2 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.SalaryColumn3 = new System.Windows.Forms.DataGridViewTextBoxColumn();
+            this.cmbDepartment = new ProcessManagement.Forms.CustomControls.ComboBoxEX();
+            this.cmbLedgerFlg = new ProcessManagement.Forms.CustomControls.ComboBoxEX();
+            this.cmbSecManage = new ProcessManagement.Forms.CustomControls.ComboBoxEX();
             this.dgvRefDepartment = new ProcessManagement.Forms.CustomControls.DataGridViewEX();
             this.Column8 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.TextBoxColumn1 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.cmbRefDepartment = new ProcessManagement.Forms.CustomControls.ComboBoxEX();
-            this.btnRefDepAdd = new System.Windows.Forms.Button();
-            this.btnRefDepDel = new System.Windows.Forms.Button();
             this.dgvMaster = new ProcessManagement.Forms.CustomControls.DataGridViewEX();
             this.Column1 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.Column2 = new System.Windows.Forms.DataGridViewTextBoxColumn();
@@ -107,7 +108,6 @@
             this.Column5 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.Column6 = new System.Windows.Forms.DataGridViewTextBoxColumn();
             this.Column7 = new System.Windows.Forms.DataGridViewTextBoxColumn();
-            this.lblSecurtyManegement = new System.Windows.Forms.Label();
             this.panel1.SuspendLayout();
             this.tableLayoutPanel1.SuspendLayout();
             ((System.ComponentModel.ISupportInitialize)(this.dgvSalary)).BeginInit();
@@ -435,18 +435,6 @@
             this.label9.Text = "終了年月日";
             this.label9.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
             // 
-            // txtInput3
-            // 
-            this.txtInput3.Anchor = System.Windows.Forms.AnchorStyles.Left;
-            this.txtInput3.ImeMode = System.Windows.Forms.ImeMode.Disable;
-            this.txtInput3.Location = new System.Drawing.Point(148, 111);
-            this.txtInput3.MaxLength = 11;
-            this.txtInput3.Name = "txtInput3";
-            this.txtInput3.Size = new System.Drawing.Size(139, 23);
-            this.txtInput3.TabIndex = 3;
-            this.txtInput3.TextChanged += new System.EventHandler(this.txtInput_TextChanged);
-            this.txtInput3.Validated += new System.EventHandler(this.txtInput_Validated);
-            // 
             // txtInput4
             // 
             this.txtInput4.Anchor = System.Windows.Forms.AnchorStyles.Left;
@@ -485,78 +473,6 @@
             this.label2.Text = "パスワード";
             this.label2.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
             // 
-            // dgvSalary
-            // 
-            this.dgvSalary.AllowUserToAddRows = false;
-            this.dgvSalary.AllowUserToDeleteRows = false;
-            this.dgvSalary.AllowUserToResizeColumns = false;
-            this.dgvSalary.AllowUserToResizeRows = false;
-            this.dgvSalary.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
-            | System.Windows.Forms.AnchorStyles.Left)));
-            this.dgvSalary.BackgroundColor = System.Drawing.Color.FromArgb(((int)(((byte)(224)))), ((int)(((byte)(224)))), ((int)(((byte)(224)))));
-            this.dgvSalary.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
-            dataGridViewCellStyle1.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
-            dataGridViewCellStyle1.BackColor = System.Drawing.SystemColors.Control;
-            dataGridViewCellStyle1.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            dataGridViewCellStyle1.ForeColor = System.Drawing.SystemColors.WindowText;
-            dataGridViewCellStyle1.SelectionBackColor = System.Drawing.SystemColors.Highlight;
-            dataGridViewCellStyle1.SelectionForeColor = System.Drawing.SystemColors.HighlightText;
-            dataGridViewCellStyle1.WrapMode = System.Windows.Forms.DataGridViewTriState.True;
-            this.dgvSalary.ColumnHeadersDefaultCellStyle = dataGridViewCellStyle1;
-            this.dgvSalary.ColumnHeadersHeight = 24;
-            this.dgvSalary.ColumnHeadersHeightSizeMode = System.Windows.Forms.DataGridViewColumnHeadersHeightSizeMode.DisableResizing;
-            this.dgvSalary.Columns.AddRange(new System.Windows.Forms.DataGridViewColumn[] {
-            this.SalaryColumn1,
-            this.SalaryColumn2,
-            this.SalaryColumn3});
-            this.tableLayoutPanel1.SetColumnSpan(this.dgvSalary, 4);
-            this.dgvSalary.EditMode = System.Windows.Forms.DataGridViewEditMode.EditOnEnter;
-            this.dgvSalary.Location = new System.Drawing.Point(3, 248);
-            this.dgvSalary.MultiSelect = false;
-            this.dgvSalary.Name = "dgvSalary";
-            this.dgvSalary.RowHeadersVisible = false;
-            this.dgvSalary.RowHeadersWidth = 18;
-            this.dgvSalary.RowHeadersWidthSizeMode = System.Windows.Forms.DataGridViewRowHeadersWidthSizeMode.DisableResizing;
-            this.tableLayoutPanel1.SetRowSpan(this.dgvSalary, 3);
-            this.dgvSalary.RowTemplate.Height = 20;
-            this.dgvSalary.SelectionMode = System.Windows.Forms.DataGridViewSelectionMode.FullRowSelect;
-            this.dgvSalary.Size = new System.Drawing.Size(570, 106);
-            this.dgvSalary.TabIndex = 21;
-            this.dgvSalary.TabStop = false;
-            // 
-            // SalaryColumn1
-            // 
-            dataGridViewCellStyle2.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
-            this.SalaryColumn1.DefaultCellStyle = dataGridViewCellStyle2;
-            this.SalaryColumn1.Frozen = true;
-            this.SalaryColumn1.HeaderText = "給与開始年月日";
-            this.SalaryColumn1.Name = "SalaryColumn1";
-            this.SalaryColumn1.ReadOnly = true;
-            this.SalaryColumn1.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
-            this.SalaryColumn1.Width = 190;
-            // 
-            // SalaryColumn2
-            // 
-            dataGridViewCellStyle3.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
-            this.SalaryColumn2.DefaultCellStyle = dataGridViewCellStyle3;
-            this.SalaryColumn2.Frozen = true;
-            this.SalaryColumn2.HeaderText = "月給与額";
-            this.SalaryColumn2.Name = "SalaryColumn2";
-            this.SalaryColumn2.ReadOnly = true;
-            this.SalaryColumn2.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
-            this.SalaryColumn2.Width = 180;
-            // 
-            // SalaryColumn3
-            // 
-            dataGridViewCellStyle4.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
-            this.SalaryColumn3.DefaultCellStyle = dataGridViewCellStyle4;
-            this.SalaryColumn3.Frozen = true;
-            this.SalaryColumn3.HeaderText = "年給与額";
-            this.SalaryColumn3.Name = "SalaryColumn3";
-            this.SalaryColumn3.ReadOnly = true;
-            this.SalaryColumn3.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
-            this.SalaryColumn3.Width = 180;
-            // 
             // label7
             // 
             this.label7.Anchor = System.Windows.Forms.AnchorStyles.Left;
@@ -759,19 +675,6 @@
             this.label16.Text = "台帳計算対象";
             this.label16.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
             // 
-            // cmbDepartment
-            // 
-            this.cmbDepartment.Anchor = System.Windows.Forms.AnchorStyles.Left;
-            this.tableLayoutPanel1.SetColumnSpan(this.cmbDepartment, 2);
-            this.cmbDepartment.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
-            this.cmbDepartment.FlatStyle = System.Windows.Forms.FlatStyle.Popup;
-            this.cmbDepartment.FormattingEnabled = true;
-            this.cmbDepartment.Location = new System.Drawing.Point(148, 362);
-            this.cmbDepartment.Name = "cmbDepartment";
-            this.cmbDepartment.Size = new System.Drawing.Size(284, 24);
-            this.cmbDepartment.TabIndex = 9;
-            this.cmbDepartment.TextChanged += new System.EventHandler(this.valueChange);
-            // 
             // txtInput5
             // 
             this.txtInput5.Anchor = System.Windows.Forms.AnchorStyles.Left;
@@ -807,18 +710,6 @@
             this.txtInput9.TabIndex = 12;
             this.txtInput9.TextChanged += new System.EventHandler(this.valueChange);
             // 
-            // cmbLedgerFlg
-            // 
-            this.cmbLedgerFlg.Anchor = System.Windows.Forms.AnchorStyles.Left;
-            this.cmbLedgerFlg.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
-            this.cmbLedgerFlg.FlatStyle = System.Windows.Forms.FlatStyle.Popup;
-            this.cmbLedgerFlg.FormattingEnabled = true;
-            this.cmbLedgerFlg.Location = new System.Drawing.Point(148, 502);
-            this.cmbLedgerFlg.Name = "cmbLedgerFlg";
-            this.cmbLedgerFlg.Size = new System.Drawing.Size(139, 24);
-            this.cmbLedgerFlg.TabIndex = 13;
-            this.cmbLedgerFlg.TextChanged += new System.EventHandler(this.valueChange);
-            // 
             // label17
             // 
             this.label17.Anchor = System.Windows.Forms.AnchorStyles.Left;
@@ -832,20 +723,6 @@
             this.label17.Text = "機密区分";
             this.label17.TextAlign = System.Drawing.ContentAlignment.MiddleCenter;
             // 
-            // cmbSecManage
-            // 
-            this.cmbSecManage.Anchor = System.Windows.Forms.AnchorStyles.Left;
-            this.tableLayoutPanel1.SetColumnSpan(this.cmbSecManage, 2);
-            this.cmbSecManage.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
-            this.cmbSecManage.FlatStyle = System.Windows.Forms.FlatStyle.Popup;
-            this.cmbSecManage.FormattingEnabled = true;
-            this.cmbSecManage.Location = new System.Drawing.Point(148, 539);
-            this.cmbSecManage.Name = "cmbSecManage";
-            this.cmbSecManage.Size = new System.Drawing.Size(284, 24);
-            this.cmbSecManage.TabIndex = 8;
-            this.cmbSecManage.SelectedValueChanged += new System.EventHandler(this.cmbSecManage_SelectedValueChanged);
-            this.cmbSecManage.TextChanged += new System.EventHandler(this.valueChange);
-            // 
             // label18
             // 
             this.label18.Anchor = System.Windows.Forms.AnchorStyles.Left;
@@ -882,6 +759,172 @@
             this.lblSecRange.TabIndex = 34;
             this.lblSecRange.TextAlign = System.Drawing.ContentAlignment.MiddleLeft;
             // 
+            // btnRefDepAdd
+            // 
+            this.btnRefDepAdd.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
+            | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
+            this.btnRefDepAdd.BackColor = System.Drawing.Color.Green;
+            this.btnRefDepAdd.Font = new System.Drawing.Font("ＭＳ 明朝", 11.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.btnRefDepAdd.ForeColor = System.Drawing.Color.White;
+            this.btnRefDepAdd.Location = new System.Drawing.Point(293, 785);
+            this.btnRefDepAdd.Name = "btnRefDepAdd";
+            this.btnRefDepAdd.Size = new System.Drawing.Size(139, 29);
+            this.btnRefDepAdd.TabIndex = 32;
+            this.btnRefDepAdd.TabStop = false;
+            this.btnRefDepAdd.Text = "参照部署追加";
+            this.btnRefDepAdd.UseVisualStyleBackColor = false;
+            this.btnRefDepAdd.Click += new System.EventHandler(this.btnRefDepAdd_Click);
+            // 
+            // btnRefDepDel
+            // 
+            this.btnRefDepDel.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
+            | System.Windows.Forms.AnchorStyles.Left) 
+            | System.Windows.Forms.AnchorStyles.Right)));
+            this.btnRefDepDel.BackColor = System.Drawing.Color.Red;
+            this.btnRefDepDel.Font = new System.Drawing.Font("ＭＳ 明朝", 11.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            this.btnRefDepDel.ForeColor = System.Drawing.Color.White;
+            this.btnRefDepDel.Location = new System.Drawing.Point(438, 785);
+            this.btnRefDepDel.Name = "btnRefDepDel";
+            this.btnRefDepDel.Size = new System.Drawing.Size(139, 29);
+            this.btnRefDepDel.TabIndex = 33;
+            this.btnRefDepDel.TabStop = false;
+            this.btnRefDepDel.Text = "参照部署削除";
+            this.btnRefDepDel.UseVisualStyleBackColor = false;
+            this.btnRefDepDel.Click += new System.EventHandler(this.btnRefDepDel_Click);
+            // 
+            // lblSecurtyManegement
+            // 
+            this.lblSecurtyManegement.BackColor = System.Drawing.Color.White;
+            this.lblSecurtyManegement.Location = new System.Drawing.Point(1127, 10);
+            this.lblSecurtyManegement.Name = "lblSecurtyManegement";
+            this.lblSecurtyManegement.Size = new System.Drawing.Size(83, 26);
+            this.lblSecurtyManegement.TabIndex = 19;
+            this.lblSecurtyManegement.Visible = false;
+            // 
+            // txtInput3
+            // 
+            this.txtInput3.Anchor = System.Windows.Forms.AnchorStyles.Left;
+            this.txtInput3.ImeMode = System.Windows.Forms.ImeMode.Disable;
+            this.txtInput3.Location = new System.Drawing.Point(148, 111);
+            this.txtInput3.MaxLength = 11;
+            this.txtInput3.Name = "txtInput3";
+            this.txtInput3.Size = new System.Drawing.Size(139, 23);
+            this.txtInput3.TabIndex = 3;
+            this.txtInput3.TextChanged += new System.EventHandler(this.txtInput_TextChanged);
+            this.txtInput3.Validated += new System.EventHandler(this.txtInput_Validated);
+            // 
+            // dgvSalary
+            // 
+            this.dgvSalary.AllowUserToAddRows = false;
+            this.dgvSalary.AllowUserToDeleteRows = false;
+            this.dgvSalary.AllowUserToResizeColumns = false;
+            this.dgvSalary.AllowUserToResizeRows = false;
+            this.dgvSalary.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
+            | System.Windows.Forms.AnchorStyles.Left)));
+            this.dgvSalary.BackgroundColor = System.Drawing.Color.FromArgb(((int)(((byte)(224)))), ((int)(((byte)(224)))), ((int)(((byte)(224)))));
+            this.dgvSalary.BorderStyle = System.Windows.Forms.BorderStyle.Fixed3D;
+            dataGridViewCellStyle1.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleCenter;
+            dataGridViewCellStyle1.BackColor = System.Drawing.SystemColors.Control;
+            dataGridViewCellStyle1.Font = new System.Drawing.Font("ＭＳ 明朝", 12F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
+            dataGridViewCellStyle1.ForeColor = System.Drawing.SystemColors.WindowText;
+            dataGridViewCellStyle1.SelectionBackColor = System.Drawing.SystemColors.Highlight;
+            dataGridViewCellStyle1.SelectionForeColor = System.Drawing.SystemColors.HighlightText;
+            dataGridViewCellStyle1.WrapMode = System.Windows.Forms.DataGridViewTriState.True;
+            this.dgvSalary.ColumnHeadersDefaultCellStyle = dataGridViewCellStyle1;
+            this.dgvSalary.ColumnHeadersHeight = 24;
+            this.dgvSalary.ColumnHeadersHeightSizeMode = System.Windows.Forms.DataGridViewColumnHeadersHeightSizeMode.DisableResizing;
+            this.dgvSalary.Columns.AddRange(new System.Windows.Forms.DataGridViewColumn[] {
+            this.SalaryColumn1,
+            this.SalaryColumn2,
+            this.SalaryColumn3});
+            this.tableLayoutPanel1.SetColumnSpan(this.dgvSalary, 4);
+            this.dgvSalary.EditMode = System.Windows.Forms.DataGridViewEditMode.EditOnEnter;
+            this.dgvSalary.Location = new System.Drawing.Point(3, 248);
+            this.dgvSalary.MultiSelect = false;
+            this.dgvSalary.Name = "dgvSalary";
+            this.dgvSalary.RowHeadersVisible = false;
+            this.dgvSalary.RowHeadersWidth = 18;
+            this.dgvSalary.RowHeadersWidthSizeMode = System.Windows.Forms.DataGridViewRowHeadersWidthSizeMode.DisableResizing;
+            this.tableLayoutPanel1.SetRowSpan(this.dgvSalary, 3);
+            this.dgvSalary.RowTemplate.Height = 20;
+            this.dgvSalary.SelectionMode = System.Windows.Forms.DataGridViewSelectionMode.FullRowSelect;
+            this.dgvSalary.Size = new System.Drawing.Size(570, 106);
+            this.dgvSalary.TabIndex = 21;
+            this.dgvSalary.TabStop = false;
+            // 
+            // SalaryColumn1
+            // 
+            dataGridViewCellStyle2.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            this.SalaryColumn1.DefaultCellStyle = dataGridViewCellStyle2;
+            this.SalaryColumn1.Frozen = true;
+            this.SalaryColumn1.HeaderText = "給与開始年月日";
+            this.SalaryColumn1.Name = "SalaryColumn1";
+            this.SalaryColumn1.ReadOnly = true;
+            this.SalaryColumn1.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
+            this.SalaryColumn1.Width = 190;
+            // 
+            // SalaryColumn2
+            // 
+            dataGridViewCellStyle3.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            this.SalaryColumn2.DefaultCellStyle = dataGridViewCellStyle3;
+            this.SalaryColumn2.Frozen = true;
+            this.SalaryColumn2.HeaderText = "月給与額";
+            this.SalaryColumn2.Name = "SalaryColumn2";
+            this.SalaryColumn2.ReadOnly = true;
+            this.SalaryColumn2.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
+            this.SalaryColumn2.Width = 180;
+            // 
+            // SalaryColumn3
+            // 
+            dataGridViewCellStyle4.Alignment = System.Windows.Forms.DataGridViewContentAlignment.MiddleRight;
+            this.SalaryColumn3.DefaultCellStyle = dataGridViewCellStyle4;
+            this.SalaryColumn3.Frozen = true;
+            this.SalaryColumn3.HeaderText = "年給与額";
+            this.SalaryColumn3.Name = "SalaryColumn3";
+            this.SalaryColumn3.ReadOnly = true;
+            this.SalaryColumn3.SortMode = System.Windows.Forms.DataGridViewColumnSortMode.NotSortable;
+            this.SalaryColumn3.Width = 180;
+            // 
+            // cmbDepartment
+            // 
+            this.cmbDepartment.Anchor = System.Windows.Forms.AnchorStyles.Left;
+            this.tableLayoutPanel1.SetColumnSpan(this.cmbDepartment, 2);
+            this.cmbDepartment.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
+            this.cmbDepartment.FlatStyle = System.Windows.Forms.FlatStyle.Popup;
+            this.cmbDepartment.FormattingEnabled = true;
+            this.cmbDepartment.Location = new System.Drawing.Point(148, 362);
+            this.cmbDepartment.Name = "cmbDepartment";
+            this.cmbDepartment.Size = new System.Drawing.Size(284, 24);
+            this.cmbDepartment.TabIndex = 9;
+            this.cmbDepartment.TextChanged += new System.EventHandler(this.valueChange);
+            // 
+            // cmbLedgerFlg
+            // 
+            this.cmbLedgerFlg.Anchor = System.Windows.Forms.AnchorStyles.Left;
+            this.cmbLedgerFlg.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
+            this.cmbLedgerFlg.FlatStyle = System.Windows.Forms.FlatStyle.Popup;
+            this.cmbLedgerFlg.FormattingEnabled = true;
+            this.cmbLedgerFlg.Location = new System.Drawing.Point(148, 502);
+            this.cmbLedgerFlg.Name = "cmbLedgerFlg";
+            this.cmbLedgerFlg.Size = new System.Drawing.Size(139, 24);
+            this.cmbLedgerFlg.TabIndex = 13;
+            this.cmbLedgerFlg.TextChanged += new System.EventHandler(this.valueChange);
+            // 
+            // cmbSecManage
+            // 
+            this.cmbSecManage.Anchor = System.Windows.Forms.AnchorStyles.Left;
+            this.tableLayoutPanel1.SetColumnSpan(this.cmbSecManage, 2);
+            this.cmbSecManage.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
+            this.cmbSecManage.FlatStyle = System.Windows.Forms.FlatStyle.Popup;
+            this.cmbSecManage.FormattingEnabled = true;
+            this.cmbSecManage.Location = new System.Drawing.Point(148, 537);
+            this.cmbSecManage.Name = "cmbSecManage";
+            this.cmbSecManage.Size = new System.Drawing.Size(284, 24);
+            this.cmbSecManage.TabIndex = 8;
+            this.cmbSecManage.SelectedValueChanged += new System.EventHandler(this.cmbSecManage_SelectedValueChanged);
+            this.cmbSecManage.TextChanged += new System.EventHandler(this.valueChange);
+            // 
             // dgvRefDepartment
             // 
             this.dgvRefDepartment.AllowUserToAddRows = false;
@@ -947,46 +990,12 @@
             this.cmbRefDepartment.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
             this.cmbRefDepartment.FlatStyle = System.Windows.Forms.FlatStyle.Popup;
             this.cmbRefDepartment.FormattingEnabled = true;
-            this.cmbRefDepartment.Location = new System.Drawing.Point(3, 789);
+            this.cmbRefDepartment.Location = new System.Drawing.Point(3, 787);
             this.cmbRefDepartment.Name = "cmbRefDepartment";
             this.cmbRefDepartment.Size = new System.Drawing.Size(284, 24);
             this.cmbRefDepartment.TabIndex = 15;
             this.cmbRefDepartment.TextChanged += new System.EventHandler(this.valueChange);
             // 
-            // btnRefDepAdd
-            // 
-            this.btnRefDepAdd.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
-            | System.Windows.Forms.AnchorStyles.Left) 
-            | System.Windows.Forms.AnchorStyles.Right)));
-            this.btnRefDepAdd.BackColor = System.Drawing.Color.Green;
-            this.btnRefDepAdd.Font = new System.Drawing.Font("ＭＳ 明朝", 11.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            this.btnRefDepAdd.ForeColor = System.Drawing.Color.White;
-            this.btnRefDepAdd.Location = new System.Drawing.Point(293, 785);
-            this.btnRefDepAdd.Name = "btnRefDepAdd";
-            this.btnRefDepAdd.Size = new System.Drawing.Size(139, 29);
-            this.btnRefDepAdd.TabIndex = 32;
-            this.btnRefDepAdd.TabStop = false;
-            this.btnRefDepAdd.Text = "参照部署追加";
-            this.btnRefDepAdd.UseVisualStyleBackColor = false;
-            this.btnRefDepAdd.Click += new System.EventHandler(this.btnRefDepAdd_Click);
-            // 
-            // btnRefDepDel
-            // 
-            this.btnRefDepDel.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom) 
-            | System.Windows.Forms.AnchorStyles.Left) 
-            | System.Windows.Forms.AnchorStyles.Right)));
-            this.btnRefDepDel.BackColor = System.Drawing.Color.Red;
-            this.btnRefDepDel.Font = new System.Drawing.Font("ＭＳ 明朝", 11.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((byte)(128)));
-            this.btnRefDepDel.ForeColor = System.Drawing.Color.White;
-            this.btnRefDepDel.Location = new System.Drawing.Point(438, 785);
-            this.btnRefDepDel.Name = "btnRefDepDel";
-            this.btnRefDepDel.Size = new System.Drawing.Size(139, 29);
-            this.btnRefDepDel.TabIndex = 33;
-            this.btnRefDepDel.TabStop = false;
-            this.btnRefDepDel.Text = "参照部署削除";
-            this.btnRefDepDel.UseVisualStyleBackColor = false;
-            this.btnRefDepDel.Click += new System.EventHandler(this.btnRefDepDel_Click);
-            // 
             // dgvMaster
             // 
             this.dgvMaster.AllowUserToAddRows = false;
@@ -1086,15 +1095,6 @@
             this.Column7.Name = "Column7";
             this.Column7.Visible = false;
             // 
-            // lblSecurtyManegement
-            // 
-            this.lblSecurtyManegement.BackColor = System.Drawing.Color.White;
-            this.lblSecurtyManegement.Location = new System.Drawing.Point(1127, 10);
-            this.lblSecurtyManegement.Name = "lblSecurtyManegement";
-            this.lblSecurtyManegement.Size = new System.Drawing.Size(83, 26);
-            this.lblSecurtyManegement.TabIndex = 19;
-            this.lblSecurtyManegement.Visible = false;
-            // 
             // FrmPersonInCharge
             // 
             this.AutoScaleDimensions = new System.Drawing.SizeF(96F, 96F);
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/Master/PersonInCharge/FrmPersonInChargeAuxiliary.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/Master/PersonInCharge/FrmPersonInChargeAuxiliary.cs	(revision 53)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/Master/PersonInCharge/FrmPersonInChargeAuxiliary.cs	(revision 54)
@@ -576,13 +576,31 @@
                 bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)DispCtrl.DisplayString], s_DisplayStringLength);
 
                 //　部署コード
-                int SecVal = CommonMotions.cnvInt(((ComboBox)m_dispControl[(int)DispCtrl.SecManage]).SelectedValue.ToString());
-                if (SecVal > CommonDefine.SecurityRankList[(int)CommonDefine.SecurityRankPos.LimitedAuthority].Key)
+                int DepVal = CommonMotions.cnvInt(((ComboBox)m_dispControl[(int)DispCtrl.Department]).SelectedValue);
+                CommonMotions.chgBackColor(m_dispControl[(int)DispCtrl.Department], true);
+                if (DepVal < 1)
                 {
-                    if (m_dispControl[(int)DispCtrl.Department].Text.Length != 0) iLength++;
-                    bRet &= CommonMotions.DispFieldIndispensable(m_dispControl[(int)DispCtrl.Department]);
+                    bRet = false;
+                    CommonMotions.chgBackColor(m_dispControl[(int)DispCtrl.Department], false);
                 }
+                else
+                {
+                    if (DepVal > CommonDefine.SecurityRankList[(int)CommonDefine.SecurityRankPos.LimitedAuthority].Key)
+                    {
+                        if (m_dispControl[(int)DispCtrl.Department].Text.Length != 0) iLength++;
+                        bRet &= CommonMotions.DispFieldIndispensable(m_dispControl[(int)DispCtrl.Department]);
+                    }
+                }
 
+                //　機密区分 
+                int SecpVal = CommonMotions.cnvInt(((ComboBox)m_dispControl[(int)DispCtrl.SecManage]).SelectedValue);
+                CommonMotions.chgBackColor(m_dispControl[(int)DispCtrl.SecManage], true);
+                if (SecpVal < 1)
+                {
+                    bRet = false;
+                    CommonMotions.chgBackColor(m_dispControl[(int)DispCtrl.SecManage], false);
+                }
+
                 // 給与入力チェック
                 bool bSalary = true;
                 if (!dgvSalaryExists()) bSalary = false;
Index: trunk/src/ProcessManagement/ProcessManagement/Forms/Master/Security/FrmSecurityAuxiliary.cs
===================================================================
--- trunk/src/ProcessManagement/ProcessManagement/Forms/Master/Security/FrmSecurityAuxiliary.cs	(revision 53)
+++ trunk/src/ProcessManagement/ProcessManagement/Forms/Master/Security/FrmSecurityAuxiliary.cs	(revision 54)
@@ -390,7 +390,7 @@
                 foreach (KeyValuePair<int, string> wrkValue in ClsExcute.ProcessExecuteName)
                 {
                     if (wrkValue.Key == 0) continue;
-                    if (wrkValue.Key >= (int)ClsExcute.ProcessExecuteNo.Proceedings) break;
+                    //if (wrkValue.Key >= (int)ClsExcute.ProcessExecuteNo.Proceedings) break;
                     int rcnt = dgv.Rows.Add(icnt++,
                                             wrkValue.Key,
                                             wrkValue.Value.Replace("－", ""),
